/***************************************************************************
 *   Copyright (C) 2010 by Rico Rommel   *
 *   rico@bierrommel.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef OMINFOPANEL_H
#define OMINFOPANEL_H

#include <QWidget>
#include <QHBoxLayout>
#include <QLabel>
#include <QString>

/**
	@author Rico Rommel <rico@bierrommel.de>
*/
class OMInfoPanel : public QWidget
{
Q_OBJECT
public:
    OMInfoPanel(QString key, QString value, QWidget *parent = 0);

    ~OMInfoPanel();
    QString name();
    void setValue(QString newValue);
    QString value();

protected:
    QHBoxLayout * MainLayout;
    QString Value;
    QString Name;
    QLabel * KeyLabel;
    QLabel * ValueLabel;
};

#endif
