/***************************************************************************
 *   Copyright (C) 2009 by Rico Rommel   *
 *   rico@bierrommel.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include <omapplication.h>
#include "autorotation.h"
#include <sys/resource.h>

int main(int argc, char *argv[])
{

	int which = PRIO_PROCESS;
	id_t pid;
	int priority = -20;
	int ret;


	pid = getpid();
	ret = setpriority(which, pid, priority);

	
     	OMApplication app(argc, argv,"autorotation");

	if ( !app.isRunning() ) {
		AutoRotation *mw = new AutoRotation(0);
		app.setMainWindow(mw);
		mw->hide();
		app.run();
	}
      	else {
		app.activate();
		return 0;
	}

}

